View Issue Details

IDProjectCategoryView StatusLast Update
0000314luatexluatex bugpublic2010-03-16 21:00
ReporterTacoAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.50.0 
Target Version0.60.0Fixed in Version0.52.0 
Summary0000314: Problem with a .pk file
DescriptionFrom √Člie Roux:

this plain TeX minimal example shows different output when compiled
with pdfTeX and LuaTeX (0.50):

\font\toto=frca10 at 10pt\toto
ligature
\bye

the frca10 comes from the package frcursive
(http://www.ctan.org/tex-archive/fonts/frcursive/), present in TeX
Live 2009. The pdf contains ligat when compiled with LuaTeX and
ligature when compiled with pdfTeX. Is it a problem in the .tfm/.pk
file or is it a bug in LuaTeX?
Additional InformationSomething is wrong in luatex: the routine that inserts the
discretionaries has a problem with the massive amount of ligatures
in the frca10 font. I will add a tracker item, but it may take a
while to fix this.

(the 'ure' bit ends up in the postbreak of the final discretionary,
see log in attached test suite)
TagsNo tags attached.

Activities

2010-01-06 16:29

 

frca-test.zip (32,851 bytes)

Taco

2010-03-15 12:13

administrator   ~0000484

Fixed by #3492

Issue History

Date Modified Username Field Change
2010-01-06 16:29 Taco New Issue
2010-01-06 16:29 Taco Status new => assigned
2010-01-06 16:29 Taco Assigned To => Taco
2010-01-06 16:29 Taco File Added: frca-test.zip
2010-02-19 15:08 Taco Target Version => 0.60.0
2010-03-15 12:13 Taco Note Added: 0000484
2010-03-15 12:13 Taco Status assigned => resolved
2010-03-15 12:13 Taco Resolution open => fixed
2010-03-16 20:59 Taco Fixed in Version => 0.52.0
2010-03-16 21:00 Taco Status resolved => closed